
# =====Modelo com parmetros separados======
# Separando todos os parametros do modelo
# e escrevendo de em duas partes: a parte
# do modelo e a atribuio dos dados
#============================================

var x1 >= 0;
var x2 >= 0;

# ============= Parmetros =============
# c
param c1;
param c2;
# A
param a11;
param a12;
param a21;
param a32;
# b
param b1;
param b2;
param b3;

# ============= Modelo =============
maximize cost: c1 * x1 + c2 * x2;
s.t. r1: a11 * x1 + a12 * x2 <= b1;
s.t. r2: a21 * x1 <= b2;
s.t. r3: a32 * x2 <= b3;
solve;

# Impresso dos resultados na tela ( \n  a string para pular uma linha)
printf "x1 : " & x1 & "\n";
printf "x1 : " &  x2 & "\n";
printf "Custo : R$" & cost & "\n";

# ============= Inicio da seo de dados =============
data;

# c
param c1 := 100;
param c2 := 150;
# A
param a11 := 2;
param a12 := 3;
param a21 := 1;
param a32 := 1;
# b
param b1 := 120;
param b2 := 40;
param b3 := 30;

end;
