# =====Modelo com parmetros separados======
#  Definindo conjuntos e escrevendo o modelo
# de forma genrica, com somatrios. Imprimindo
# os resultados com um lao FOR
#============================================

# Parmetros
param lin:= 3;
param col:= 2;

param c{1..col};
param a{1..lin,1..col};
param b{1..lin};

set J:=1..col;
set I:=1..lin;

# Variveis
var x{1..col} >= 0;

# Modelo
maximize cost: sum{j in J} c[j] * x[j];
s.t. r{i in I}: sum{j in J} a[i,j] * x[j] <= b[i];

solve;

# Impresso do resultado usando um lao for em um arquivo de texto
for{j in J}
{
	printf "x" & j & " :"  & x[j] & "\n";
}
printf "Custo" & ";" & cost >> "saida.csv";

data;

param c:=
1 100
2 150;

param a:=
1 1 2
1 2 3
2 1 1
2 2 0
3 1 0
3 2 1;

param b:= 
1 120
2 40
3 30;

end;
